# Default theme configuration

aves:
  theme:
    colors:
      black:
        256: "${AVES_COLOR_BLACK:-16}"
        16: "${AVES_COLOR_BLACK:-0}"
      red:
        256: "${AVES_COLOR_RED:-1}"
        16: "${AVES_COLOR_RED:-1}"
      green:
        256: "${AVES_COLOR_GREEN:-2}"
        16: "${AVES_COLOR_GREEN:-2}"
      yellow:
        256: "${AVES_COLOR_YELLOW:-3}"
        16: "${AVES_COLOR_YELLOW:-3}"
      blue:
        256: "${AVES_COLOR_BLUE:-4}"
        16: "${AVES_COLOR_BLUE:-4}"
      magenta:
        256: "${AVES_COLOR_MAGENTA:-5}"
        16: "${AVES_COLOR_MAGENTA:-5}"
      cyan:
        256: "${AVES_COLOR_CYAN:-6}"
        16: "${AVES_COLOR_CYAN:-6}"
      white:
        256: "${AVES_COLOR_WHITE:-7}"
        16: "${AVES_COLOR_WHITE:-7}"
      grey:
        256: "${AVES_COLOR_GREY:-8}"
        16: "${AVES_COLOR_GREY:-8}"
      orange:
        256: "${AVES_COLOR_ORANGE:-208}"
        16: "${AVES_COLOR_ORANGE:-202}"

      light_red:
        256: "${AVES_COLOR_LIGHT_RED:-9}"
        16: "${AVES_COLOR_LIGHT_RED:-9}"
      light_green:
        256: "${AVES_COLOR_LIGHT_GREEN:-10}"
        16: "${AVES_COLOR_LIGHT_GREEN:-10}"
      light_yellow:
        256: "${AVES_COLOR_LIGHT_YELLOW:-11}"
        16: "${AVES_COLOR_LIGHT_YELLOW:-11}"
      light_blue:
        256: "${AVES_COLOR_LIGHT_BLUE:-12}"
        16: "${AVES_COLOR_LIGHT_BLUE:-12}"
      light_magenta:
        256: "${AVES_COLOR_LIGHT_MAGENTA:-13}"
        16: "${AVES_COLOR_LIGHT_MAGENTA:-13}"
      light_cyan:
        256: "${AVES_COLOR_LIGHT_CYAN:-14}"
        16: "${AVES_COLOR_LIGHT_CYAN:-14}"
      light_white:
        256: "${AVES_COLOR_LIGHT_WHITE:-15}"
        16: "${AVES_COLOR_LIGHT_WHITE:-15}"
      light_grey:
        256: "${AVES_COLOR_LIGHT_GREY:-251}"
        16: "${AVES_COLOR_LIGHT_GREY:-251}"

      dark_red:
        256: "${AVES_COLOR_DARK_RED:-88}"
        16: "${AVES_COLOR_DARK_RED:-1}"
      dark_green:
        256: "${AVES_COLOR_DARK_GREEN:-22}"
        16: "${AVES_COLOR_DARK_GREEN:-2}"
      dark_yellow:
        256: "${AVES_COLOR_DARK_YELLOW:-58}"
        16: "${AVES_COLOR_DARK_YELLOW:-3}"
      dark_blue:
        256: "${AVES_COLOR_DARK_BLUE:-19}"
        16: "${AVES_COLOR_DARK_BLUE:-4}"
      dark_magenta:
        256: "${AVES_COLOR_DARK_MAGENTA:-90}"
        16: "${AVES_COLOR_DARK_MAGENTA:-5}"
      dark_cyan:
        256: "${AVES_COLOR_DARK_CYAN:-23}"
        16: "${AVES_COLOR_DARK_CYAN:-6}"
      dark_white:
        256: "${AVES_COLOR_DARK_WHITE:-145}"
        16: "${AVES_COLOR_DARK_WHITE:-7}"
      dark_grey:
        256: "${AVES_COLOR_DARK_GREY:-59}"
        16: "${AVES_COLOR_DARK_GREY:-8}"

    style:
      trace:
        fg: grey
        style: dim
        highlight:
          fg: grey
          style: bold
      debug:
        style: dim
        highlight:
          fg: grey
          style: default
      verbose:
        style: default
        highlight:
          fg: light_grey
          style: default
      info:
        style: default
        highlight:
          fg: cyan
          style: bold
      warning:
        fg: red
        style: bold
        highlight:
          fg: yellow
          style: bold
      error:
        fg: yellow
        style: bold
        highlight:
          fg: red
          style: bold
      stacktrace:
        fg: red
        style: bold
        highlight:
          fg: yellow
          style: bold
      header:
        fg: magenta
        style: bold
        highlight:
          fg: blue
          style: bold
      success:
        fg: green
        style: bold
        highlight:
          fg: light_green
          style: bold
